### Hierarchy

- LayoutEdge
  - CircularEdge

This holds CircularLayout-specific information about Links.

This class inherits from LayoutEdge.

## Index

### Constructors

- constructor

## Inherited Members

### Properties

- LayoutEdge.data
- LayoutEdge.fromVertex
- LayoutEdge.link
- LayoutEdge.network
- LayoutEdge.toVertex

### Methods

- LayoutEdge.commit
- LayoutEdge.getOtherVertex

## Constructors

### constructor

- new CircularEdge(network: CircularNetwork): CircularEdge

- This constructs an edge that does not know about any Link.

  #### Parameters

  - ##### network: CircularNetwork

  #### Returns CircularEdge

Copyright © 1998-2022 by Northwoods Software Corporation.